<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePaymentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: payments
         */
        Schema::create('payments', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('user_type')->nullable();
            $table->integer('payment_method')->nullable();
            $table->integer('payment_details')->nullable();
            $table->integer('amount')->nullable();
            $table->timestamp('payment_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('payments');
    }
}
